# Uses of Class
org.apache.lucene.spatial.prefix.tree.SpatialPrefixTree

Packages that use SpatialPrefixTree
Package
Description
org.apache.lucene.spatial.composite
Composite strategies.
org.apache.lucene.spatial.prefix
Prefix Tree Strategy.
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.

- ## Uses of SpatialPrefixTree in org.apache.lucene.spatial.composite

  Constructors in org.apache.lucene.spatial.composite with parameters of type SpatialPrefixTree
  Modifier
  Constructor
  Description
  ``
  `IntersectsRPTVerifyQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel, ShapeValuesPredicate predicateValueSource)`

- ## Uses of SpatialPrefixTree in org.apache.lucene.spatial.prefix

  Fields in org.apache.lucene.spatial.prefix declared as SpatialPrefixTree
  Modifier and Type
  Field
  Description
  `protected final SpatialPrefixTree`
  AbstractPrefixTreeQuery.`grid`
  `protected final SpatialPrefixTree`
  PrefixTreeStrategy.`grid`
  Methods in org.apache.lucene.spatial.prefix that return SpatialPrefixTree
  Modifier and Type
  Method
  Description
  `SpatialPrefixTree`
  PrefixTreeStrategy.`getGrid()`
  Constructors in org.apache.lucene.spatial.prefix with parameters of type SpatialPrefixTree
  Modifier
  Constructor
  Description
  ``
  `AbstractPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel)`
  ``
  `AbstractVisitingPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel)`
  ``
  `ContainsPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, boolean multiOverlappingIndexedShapes)`
  ``
  `IntersectsPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel)`
  ``
  `PointPrefixTreeFieldCacheProvider(SpatialPrefixTree grid, String shapeField, int defaultSize)`
  ``
  `PrefixTreeStrategy(SpatialPrefixTree grid, String fieldName)`
  ``
  `RecursivePrefixTreeStrategy(SpatialPrefixTree grid, String fieldName)`
  ``
  `TermQueryPrefixTreeStrategy(SpatialPrefixTree grid, String fieldName)`
  ``
  `WithinPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel, double queryBuffer)`
  See `AbstractVisitingPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape, String, org.apache.lucene.spatial.prefix.tree.SpatialPrefixTree, int, int)`.

- ## Uses of SpatialPrefixTree in org.apache.lucene.spatial.prefix.tree

  Subclasses of SpatialPrefixTree in org.apache.lucene.spatial.prefix.tree
  Modifier and Type
  Class
  Description
  `class`
  `DateRangePrefixTree`
  A PrefixTree for date ranges in which the levels of the tree occur at natural periods of time (e.g.
  `class`
  `GeohashPrefixTree`
  A `SpatialPrefixTree` based on Geohashes.
  `class`
  `NumberRangePrefixTree`
  A SpatialPrefixTree for single-dimensional numbers and number ranges of fixed precision values (not floating point).
  `class`
  `PackedQuadPrefixTree`
  Uses a compact binary representation of 8 bytes to encode a spatial quad trie.
  `class`
  `QuadPrefixTree`
  A `SpatialPrefixTree` which uses a quad tree in which an indexed term will be generated for each cell, 'A', 'B', 'C', 'D'.
  `class`
  `S2PrefixTree`
  Spatial prefix tree for S2 Geometry.
  Methods in org.apache.lucene.spatial.prefix.tree that return SpatialPrefixTree
  Modifier and Type
  Method
  Description
  `protected abstract SpatialPrefixTree`
  LegacyCell.`getGrid()`
  `static SpatialPrefixTree`
  SpatialPrefixTreeFactory.`makeSPT(Map<String,String> args, ClassLoader classLoader, org.locationtech.spatial4j.context.SpatialContext ctx)`
  The factory is looked up via "prefixTree" in args, expecting "geohash" or "quad".
  `protected SpatialPrefixTree`
  GeohashPrefixTree.Factory.`newSPT()`
  `protected SpatialPrefixTree`
  PackedQuadPrefixTree.Factory.`newSPT()`
  `protected SpatialPrefixTree`
  QuadPrefixTree.Factory.`newSPT()`
  `protected SpatialPrefixTree`
  S2PrefixTree.Factory.`newSPT()`
  `protected abstract SpatialPrefixTree`
  SpatialPrefixTreeFactory.`newSPT()`